Bug 979792 - Review Request: perl-Storm - Object-relational mapping
Review Request: perl-Storm - Object-relational mapping
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-30 12:27 EDT by Christopher Meng
Modified: 2013-08-01 23:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-Storm-0.240-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 23:33:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-06-30 12:27:33 EDT
Spec URL: http://cicku.me/perl-Storm.spec
SRPM URL: http://cicku.me/perl-Storm-0.240-1.fc20.src.rpm
Description: Storm is a Moose based library for storing and retrieving objects over a DBI connection.
Fedora Account System Username: cicku
Comment 1 Tomas Dabašinskas 2013-07-01 22:42:40 EDT
Taking up the review
Comment 2 Tomas Dabašinskas 2013-07-02 08:00:01 EDT
As per Christopher's email, there's a reviewer for this package already.
Comment 3 Parag AN(पराग) 2013-07-22 00:47:25 EDT
hmm the srpm is not downloading....
Comment 4 Christopher Meng 2013-07-22 01:11:43 EDT
You can try again now..

There might have some issues in Requires tag, please be patient...
Comment 5 Parag AN(पराग) 2013-07-22 01:42:14 EDT
Thanks for the heads up.

Review:
+ mock build for f20 is successful

+ rpmlint on rpms gave
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball : 0f7d79f6d732569d934d4592dc06c2d3487173ece608208dc0886967bc6807d5
upstream tarball : 0f7d79f6d732569d934d4592dc06c2d3487173ece608208dc0886967bc6807d5

+ license is valid "Artistic 2.0" and included in some source files as well as in LICENSE file.

+ make test gave
All tests successful.
Files=43, Tests=103, 30 wallclock secs ( 0.19 usr  0.05 sys + 28.70 cusr  0.85 csys = 29.79 CPU)

+ Package perl-Storm-0.240-1.fc20.noarch ->
Provides: perl(Moose::Meta::Attribute::Custom::Trait::AutoIncrement) = 0.240 perl(Moose::Meta::Attribute::Custom::Trait::ForeignKey) = 0.240 perl(Moose::Meta::Attribute::Custom::Trait::NoStorm) = 0.240 perl(Moose::Meta::Attribute::Custom::Trait::PrimaryKey) = 0.240 perl(Moose::Meta::Attribute::Custom::Trait::StormArray) = 0.240 perl(Moose::Meta::Class::Custom::Trait::AutoTable) = 0.240 perl(Storm) = 0.240 perl(Storm::Aeolus) = 0.240 perl(Storm::Flood) = 0.240 perl(Storm::Flood::Plan) = 0.240 perl(Storm::LiveObjects) = 0.240 perl(Storm::LiveObjects::Scope) = 0.240 perl(Storm::Meta::Attribute::Trait::AutoIncrement) = 0.240 perl(Storm::Meta::Attribute::Trait::ForeignKey) = 0.240 perl(Storm::Meta::Attribute::Trait::NoStorm) = 0.240 perl(Storm::Meta::Attribute::Trait::PrimaryKey) = 0.240 perl(Storm::Meta::Attribute::Trait::StormArray) = 0.240 perl(Storm::Meta::Class::Trait::AutoTable) = 0.240 perl(Storm::Meta::Column) = 0.240 perl(Storm::Meta::Relationship) = 0.240 perl(Storm::Meta::Relationship::ManyToMany) = 0.240 perl(Storm::Meta::Relationship::OneToMany) = 0.240 perl(Storm::Meta::Table) = 0.240 perl(Storm::Model) = 0.240 perl(Storm::Object) = 0.240 perl(Storm::Policy) = 0.240 perl(Storm::Policy::Object) = 0.240 perl(Storm::Query::Delete) = 0.240 perl(Storm::Query::DeleteWhere) = 0.240 perl(Storm::Query::Insert) = 0.240 perl(Storm::Query::Lookup) = 0.240 perl(Storm::Query::Refresh) = 0.240 perl(Storm::Query::Select) = 0.240 perl(Storm::Query::Select::Iterator) = 0.240 perl(Storm::Query::Update) = 0.240 perl(Storm::Role) = 0.240 perl(Storm::Role::CanDeflate) = 0.240 perl(Storm::Role::CanInflate) = 0.240 perl(Storm::Role::Iterator) = 0.240 perl(Storm::Role::Model) = 0.240 perl(Storm::Role::Model::Meta::Class) = 0.240 perl(Storm::Role::Object) = 0.240 perl(Storm::Role::Object::Meta::Attribute) = 0.240 perl(Storm::Role::Object::Meta::Class) = 0.240 perl(Storm::Role::Query) = 0.240 perl(Storm::Role::Query::CanParseUserArgs) = 0.240 perl(Storm::Role::Query::HasAttributeMap) = 0.240 perl(Storm::Role::Query::HasAttributeOrder) = 0.240 perl(Storm::Role::Query::HasBindParams) = 0.240 perl(Storm::Role::Query::HasLimitClause) = 0.240 perl(Storm::Role::Query::HasOrderByClause) = 0.240 perl(Storm::Role::Query::HasSQLFunctions) = 0.240 perl(Storm::Role::Query::HasWhereClause) = 0.240 perl(Storm::Role::Query::IsExecutable) = 0.240 perl(Storm::SQL::Column) = 0.240 perl(Storm::SQL::Fragment::Limit) = 0.240 perl(Storm::SQL::Fragment::OrderBy) = 0.240 perl(Storm::SQL::Fragment::Where::Boolean) = 0.240 perl(Storm::SQL::Fragment::Where::Comparison) = 0.240 perl(Storm::SQL::Fragment::Where::SubgroupEnd) = 0.240 perl(Storm::SQL::Fragment::Where::SubgroupStart) = 0.240 perl(Storm::SQL::Function) = 0.240 perl(Storm::SQL::Literal) = 0.240 perl(Storm::SQL::Parameter) = 0.240 perl(Storm::SQL::Placeholder) = 0.240 perl(Storm::Source) = 0.240 perl(Storm::Test::Types) = 0.240 perl(Storm::Transaction) = 0.240 perl(Storm::Types) = 0.240 perl-Storm = 0.240-1.fc20


Requires: perl(Carp) perl(DBI) perl(DateTime::Format::MySQL) perl(Devel::GlobalDestruction) perl(Moose) perl(Moose::Exporter) perl(Moose::Role) perl(Moose::Util::MetaRole) perl(Moose::Util::TypeConstraints) perl(MooseX::SemiAffordanceAccessor) perl(MooseX::StrictConstructor) perl(MooseX::Types) perl(MooseX::Types::Moose) perl(Scalar::Util) perl(Storm::Aeolus) perl(Storm::LiveObjects) perl(Storm::LiveObjects::Scope) perl(Storm::Meta::Attribute::Trait::AutoIncrement) perl(Storm::Meta::Attribute::Trait::ForeignKey) perl(Storm::Meta::Attribute::Trait::NoStorm) perl(Storm::Meta::Attribute::Trait::PrimaryKey) perl(Storm::Meta::Attribute::Trait::StormArray) perl(Storm::Meta::Class::Trait::AutoTable) perl(Storm::Meta::Column) perl(Storm::Meta::Relationship::ManyToMany) perl(Storm::Meta::Relationship::OneToMany) perl(Storm::Meta::Table) perl(Storm::Policy) perl(Storm::Policy::Object) perl(Storm::Query::Delete) perl(Storm::Query::DeleteWhere) perl(Storm::Query::Insert) perl(Storm::Query::Lookup) perl(Storm::Query::Refresh) perl(Storm::Query::Select) perl(Storm::Query::Select::Iterator) perl(Storm::Query::Update) perl(Storm::Role::Object) perl(Storm::Role::Object::Meta::Attribute) perl(Storm::Role::Object::Meta::Class) perl(Storm::SQL::Column) perl(Storm::SQL::Fragment::Limit) perl(Storm::SQL::Fragment::OrderBy) perl(Storm::SQL::Fragment::Where::Boolean) perl(Storm::SQL::Fragment::Where::Comparison) perl(Storm::SQL::Fragment::Where::SubgroupEnd) perl(Storm::SQL::Fragment::Where::SubgroupStart) perl(Storm::SQL::Function) perl(Storm::SQL::Literal) perl(Storm::SQL::Parameter) perl(Storm::SQL::Placeholder) perl(Storm::Source) perl(Storm::Transaction) perl(Storm::Types) perl(Sub::Exporter) perl(namespace::clean) perl(strict) perl(warnings)


suggestions:
1) you can remove Requires: dependencies as rpm usually generate these automatically.

APPROVED.
Comment 6 Christopher Meng 2013-07-22 01:52:38 EDT
New Package SCM Request
=======================
Package Name: perl-Storm
Short Description: Object-relational mapping
Owners: cicku
Branches: f18 f19
InitialCC:
Comment 7 Gwyn Ciesla 2013-07-22 06:02:18 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-07-22 22:58:16 EDT
perl-Storm-0.240-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Storm-0.240-1.fc18
Comment 9 Fedora Update System 2013-07-22 22:59:09 EDT
perl-Storm-0.240-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Storm-0.240-1.fc19
Comment 10 Fedora Update System 2013-07-23 23:36:07 EDT
perl-Storm-0.240-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Fedora Update System 2013-08-01 23:33:48 EDT
perl-Storm-0.240-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 12 Fedora Update System 2013-08-01 23:49:12 EDT
perl-Storm-0.240-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.